import { Component, OnInit, OnDestroy, Renderer2 } from '@angular/core';

@Component({
  selector: 'app-ai-player',
  templateUrl: './ai-player.component.html',
  styles: []
})
export class AiPlayerComponent implements OnInit, OnDestroy {
  private script1?: HTMLScriptElement;
  private script2?: HTMLScriptElement;

  constructor(private renderer: Renderer2) {}

  ngOnInit(): void {
    if (typeof window !== "undefined") {
      // Load the external script dynamically
      this.script1 = this.renderer.createElement('script');
      this.script1.type = 'text/javascript';
      this.script1.src = '//vhss.oddcast.com/ai_embed_functions_v1.php';
      this.renderer.appendChild(document.body, this.script1);

      this.script1.onload = () => {
        this.script2 = this.renderer.createElement('script');
        this.script2.type = 'text/javascript';
        this.script2.text = 'AI_vhost_embed(800,600,3432155,198,1,1);';
        this.renderer.appendChild(document.body, this.script2);
      };
    }
  }

  ngOnDestroy(): void {
    if (this.script1) {
      this.renderer.removeChild(document.body, this.script1);
    }
    if (this.script2) {
      this.renderer.removeChild(document.body, this.script2);
    }
  }
}
